desc "Magento related tasks"
namespace :magento do
  require_relative 'magento1/cache'
  require_relative 'magento1/config'
  require_relative 'magento1/patches'
  require_relative 'magento1/setup-scripts'
  require_relative 'magento1/tools'

  desc "Initializes magento specifics on the virtual machine after a fresh build"
  task :'initialize-vm' => [
    'magento:config:enable-errors',
    'magento:tools:n98magerun',
    'magento:setup-scripts:run',
    'magento:config:configure-urls',
    'magento:config:create-admin-user',
    'magento:config:enable-rewrites',
    'magento:cache:clear'
  ]
end
