desc "Setup script tasks"
namespace :'setup-scripts' do
  desc "Run magento setup scripts"
  task :run => ['magento:tools:n98magerun']  do
    Hem.ui.success "Running setup scripts"
    run "bin/n98-magerun.phar cache:clean config", realtime: true, indent: 2
    run "bin/n98-magerun.phar sys:setup:incremental -n", realtime: true, indent: 2
    Hem.ui.separator
  end
end
